Skip to content

Create tag

Request

Creates a new Tag record. Tag resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
associatedResourceIdstring

Identifier of the resource this tag is associated with.

Example:"123e4567-e89b-12d3-a456-426614174000"
associatedResourceTypestring

Type of resource this tag is associated with (e.g., animal, contact, invoice).

Example:"example"
categoryIdstring

Identifier of the tag category, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether the tag is currently active and can be used.

Example:true
namestringrequired

Human-readable tag label.

Example:"example"
tagIdstring

Canonical unique identifier for the tag.

Example:"123e4567-e89b-12d3-a456-426614174000"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/tag' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "associatedResourceId": "123e4567-e89b-12d3-a456-426614174000",
    "associatedResourceType": "example",
    "categoryId": "123e4567-e89b-12d3-a456-426614174000",
    "extensions": {},
    "isActive": true,
    "name": "example",
    "tagId": "123e4567-e89b-12d3-a456-426614174000"
  }'

Responses

Tag created successfully

Bodyapplication/json
associatedResourceIdstringrequired

Identifier of the resource this tag is associated with.

Example:"123e4567-e89b-12d3-a456-426614174000"
associatedResourceTypestringrequired

Type of resource this tag is associated with (e.g., animal, contact, invoice).

Example:"example"
categoryIdstringrequired

Identifier of the tag category, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when the tag was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether the tag is currently active and can be used.

Example:true
namestringrequired

Human-readable tag label.

Example:"example"
tagIdstringrequired

Canonical unique identifier for the tag.

Example:"123e4567-e89b-12d3-a456-426614174000"
updatedAtstring, (date-time)required

Timestamp when the tag was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "associatedResourceId": "123e4567-e89b-12d3-a456-426614174000", "associatedResourceType": "example", "categoryId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "name": "example", "tagId": "123e4567-e89b-12d3-a456-426614174000", "updatedAt": "2025-01-01T00:00:00.000Z" }